## cl-ssl 0.2+cvs.2004.01.05-1build1

=== cl-ssl/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for UFFI examples
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile,v 1.1 2002/12/03 10:29:58 kevinrosenberg Exp $
#
# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# UFFI users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

.PHONY: distclean
distclean: clean

base=ssl
object=$(base).o
shared_lib=$(base).so

.PHONY: all
all: $(shared_lib)

linux: $(source) Makefile
	gcc -shared /usr/lib/libcrypto.so /usr/lib/libssl.so -o $(shared_lib)

mac:
	ld -bundle /usr/lib/bundle1.o /usr/lib/libcrypto.dylib /usr/lib/libssl.dylib -flat_namespace -undefined suppress -o $(base).dylib  

solaris:
	cc -KPIC -c $(source) -o $(object)
	cc -G $(object) -o $(shared_lib)

aix-acl:
	gcc -c -D_BSD -D_NO_PROTO -D_NONSTD_TYPES -D_MBI=void $(source)
	make_shared -o $(shared_lib) $(object)

clean:
	rm -f *~ *.fasl* *.ufsl *.pfsl *.dfsl *.x86f *.sparcf *.dylib *.so

## cl-ssl 0.2+cvs.2004.01.04

=== debian/changelog ===
cl-ssl (0.2+cvs.2004.01.04) unstable; urgency=low

  * New upstream, patch from simon@limmat.switch.ch

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  4 Jan 2004 09:10:59 -0700

cl-ssl (0.2+cvs.2003.09.10) unstable; urgency=low

  * Change description (closes: 209458)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 10 Sep 2003 00:21:00 -0600

cl-ssl (0.2+cvs.2003.07.10) unstable; urgency=low

  * Remove checking for :uffi on features (closes:197193)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Jun 2003 16:47:22 -0600

cl-ssl (0.2+cvs.2003.01.14) unstable; urgency=low

  * New upstream (closes: 176751)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 14 Jan 2003 20:29:51 -0700

cl-ssl (0.2+cvs.2002.12.03) unstable; urgency=low

  * Initial release

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  3 Dec 2002 02:55:23 -0700

=== debian/control ===
Source: cl-ssl
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0), libssl-dev
Standards-Version: 3.6.1.0

Package: cl-ssl
Architecture: any
Depends: ${shlibs:Depends}, common-lisp-controller (>= 3.47), cl-uffi (>= 1.2.0) , libssl-dev
Description: Common Lisp interface to OpenSSL package
 This package includes functions for accessing the OpenSSL library. It uses
 UFFI to be compatible across several Common Lisp implementations.

## cl-ssl 0.2+cvs.2004.01.05

=== debian/changelog ===
cl-ssl (0.2+cvs.2004.01.05) unstable; urgency=low

  * New maintainer. (Closes: #297410: O: cl-ssl -- Common Lisp interface
    to OpenSSL package)
  * Adopted by Peter Van Eynde

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 Mar 2005 10:19:58 +0100

## cl-ssl 0.2+cvs.2004.01.05-1build1

=== debian/changelog ===
cl-ssl (0.2+cvs.2004.01.05-1build1) edgy; urgency=low

  * Rebuild against OpenSSL 0.9.8

 -- Kees Cook <kees@ubuntu.com>  Thu, 12 Oct 2006 14:29:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cl-ssl
 Section: devel
 Priority: optional
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper (>= 4.0.0), libssl-dev
 Standards-Version: 3.6.1.0

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

pkg	:= cl-ssl
debpkg  := cl-ssl


clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-pkg		:= $(clc-source)/$(pkg)
lib-dir		:= usr/lib/$(debpkg)
doc-dir		:= usr/share/doc/$(debpkg)


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	(cd cl-ssl; $(MAKE) linux)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -f debian/$(pkg).postinst.* debian/$(pkg).prerm.*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Add here commands to install the package into debian/png.
	dh_installdirs $(clc-systems) $(clc-pkg) $(lib-dir)
	dh_install cl-ssl/$(pkg).asd $(wildcard cl-ssl/*.lisp) $(clc-pkg)
	dh_install cl-ssl/ssl.so $(lib-dir)
	dh_link $(clc-pkg)/$(pkg).asd $(clc-systems)/$(pkg).asd

# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cl-ssl 0.2+cvs.2004.01.07-0.2

=== debian/changelog ===
cl-ssl (0.2+cvs.2004.01.07-0.2) unstable; urgency=low

  * Non-maintainer upload, ifxing the previous.
  * Undo the swap because the arch: all package should be built
    by binary-indep.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 08 Mar 2008 13:49:57 +0100

cl-ssl (0.2+cvs.2004.01.07-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Swap binary-arch/binary-indep and make package Arch: all.
    Closes: #468936.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 08 Mar 2008 12:06:31 +0100

cl-ssl (0.2+cvs.2004.01.07) unstable; urgency=low

  * Changed to group maintanance
  * Added Vcs-Git control field
  * Updated standard version without real changes
  * fix control file order

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 24 Feb 2008 14:53:46 +0100

cl-ssl (0.2+cvs.2004.01.06) unstable; urgency=low

  * Updated standard version without real changes
  * Added Homepage information
  * Move to using dh-lisp
  * dh-lisp should be Build-Depends

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 28 Dec 2007 17:36:58 +0100

=== debian/control ===
Source: cl-ssl
Section: devel
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>
Build-Depends: debhelper (>= 4.0.0), libssl-dev, dh-lisp
Standards-Version: 3.7.3
Homepage: http://www.sourceforge.net/projects/portableaserve
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-ssl.git

Package: cl-ssl
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common Lisp interface to OpenSSL package
 This package includes functions for accessing the OpenSSL library. It uses
 UFFI to be compatible across several Common Lisp implementations.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	dh_lisp
	dh_installdocs
	dh_installexamples
	dh_installchangelogs ChangeLog
	dh_link --verbose
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
